package com.zcloud.basic.info.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.basic.info.dto.UserExpandInfoAddCmd;
import com.zcloud.basic.info.dto.UserExpandInfoPageQry;
import com.zcloud.basic.info.dto.UserExpandInfoUpdateCmd;
import com.zcloud.basic.info.dto.clientobject.UserExpandInfoCO;

/**
 * web-client
 *
 * @Author zhaokai
 * @Date 2026-01-05 14:12:19
 */
public interface UserExpandInfoServiceI {
    PageResponse<UserExpandInfoCO> listPage(UserExpandInfoPageQry qry);

    SingleResponse<UserExpandInfoCO> add(UserExpandInfoAddCmd cmd);

    void edit(UserExpandInfoUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);
}

